#include <stdlib.h>
#include <stdio.h>
#include <stdbool.h>
#include <string.h>

#define MAX 50
#define NB 27

typedef struct cell * ptcell;

typedef struct cell {
  char lettre;
  ptcell arbre[NB];
  bool fin;
} cell;

bool is_empty(ptcell pt);

bool feuille(ptcell pt);

void init_arbre(ptcell *pt);

int indice_lettre(char lettre);

void ajout_arbre(ptcell pt, char mot[]);

bool caract_fin(char lettre);

void verifie_mot(ptcell pt, char mot[], int* compteur);

void lecture_texte(FILE* fp, ptcell* arbre, int* compteur);

void lecture_dico(FILE* fp, ptcell* arbre);

void free_arbre(ptcell* arbre);
